<?php
/*
 * controller.php
 * contains the actual logic for this particular site
 */
 
 	Class Controller {
 	
 		protected $model;
 		public $data;
		public $sets = array();
		public $params = array();
 	
 		function __construct( &$model_instance ) {
 			$this->model = $model_instance;
 			$this->data = $model_instance->data;

			if (!c::get('title')) {
				$this->set('title', g::get('kirby.title'));
			} else {
				$this->set('title', c::get('title'));
			}
			
			if (!c::get('description')) {
				$this->set('description', g::get('kirby.description'));
			} else {
				$this->set('description', c::get('description'));
			}
			
 		}

		function set($key, $value) {
			$this->sets[$key] = $value;
			
		}
		
		function setFlash($message) {
			if ($message != '') {
				$this->set('notification', '<div class="notification">' . $message . '</div>');
				
			}
			
		}
 	
 	};
 	
?>